__gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash > Struct Template Reference
Extensions » Policy-Based Data Structures » Traits

`#include <types_traits.hpp>`

Inheritance diagram for __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >:
[legend]

## Public Types

typedef std::pair< size_type, size_type > | comp_hash
typedef __rebind_a::const_pointer | key_const_pointer
typedef __rebind_a::const_reference | key_const_reference
typedef __rebind_a::pointer | key_pointer
typedef __rebind_a::reference | key_reference
typedef __rebind_a::value_type | key_type
typedef __nothrowcopy::indicator | no_throw_indicator
typedef _Alloc::size_type | size_type
typedef integral_constant< int, Store_Hash > | store_extra

## Public Attributes

no_throw_indicator | m_no_throw_copies_indicator
store_extra | m_store_extra_indicator

## Detailed Description

template<typename Key, typename Mapped, typename _Alloc, bool Store_Hash>
struct __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >

Traits for abstract types.

Definition at line 263 of file types_traits.hpp.

## Member Typedef Documentation

## comp_hash

template<typename Key , typename Mapped , typename _Alloc , bool Store_Hash>

typedef std::pair<size_type, size_type> __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >::comp_hash

Definition at line 277 of file types_traits.hpp.

## key_const_pointer

template<typename Key , typename Mapped , typename _Alloc , bool Store_Hash>

typedef __rebind_a::const_pointer __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >::key_const_pointer

Definition at line 274 of file types_traits.hpp.

## key_const_reference

template<typename Key , typename Mapped , typename _Alloc , bool Store_Hash>

typedef __rebind_a::const_reference __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >::key_const_reference

Definition at line 276 of file types_traits.hpp.

## key_pointer

template<typename Key , typename Mapped , typename _Alloc , bool Store_Hash>

typedef __rebind_a::pointer __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >::key_pointer

Definition at line 273 of file types_traits.hpp.

## key_reference

template<typename Key , typename Mapped , typename _Alloc , bool Store_Hash>

typedef __rebind_a::reference __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >::key_reference

Definition at line 275 of file types_traits.hpp.

## key_type

template<typename Key , typename Mapped , typename _Alloc , bool Store_Hash>

typedef __rebind_a::value_type __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >::key_type

Definition at line 272 of file types_traits.hpp.

## no_throw_indicator

template<typename Key , typename Mapped , typename _Alloc , bool Store_Hash>

typedef __nothrowcopy::indicator __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >::no_throw_indicator

Definition at line 279 of file types_traits.hpp.

## size_type

template<typename Key , typename Mapped , typename _Alloc , bool Store_Hash>

typedef _Alloc::size_type __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >::size_type

Definition at line 271 of file types_traits.hpp.

## store_extra

template<typename Key , typename Mapped , typename _Alloc , bool Store_Hash>

typedef integral_constant<int, Store_Hash> __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >::store_extra

Definition at line 278 of file types_traits.hpp.

## Member Data Documentation

## m_no_throw_copies_indicator

template<typename Key , typename Mapped , typename _Alloc , bool Store_Hash>

no_throw_indicator __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >::m_no_throw_copies_indicator

Definition at line 282 of file types_traits.hpp.

## m_store_extra_indicator

template<typename Key , typename Mapped , typename _Alloc , bool Store_Hash>

store_extra __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >::m_store_extra_indicator

Definition at line 281 of file types_traits.hpp.

The documentation for this struct was generated from the following file:

- types_traits.hpp